JUCE: NamedValueSet::NamedValue Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
NamedValueSet::NamedValue Struct Reference
juce_core » containers

Structure for a named var object. More...

`#include <juce_NamedValueSet.h>`

## Public Member Functions
| NamedValue () noexcept
| ~NamedValue () noexcept
| NamedValue (const Identifier &name, const var &value)
| NamedValue (const Identifier &name, var &&value) noexcept
| NamedValue (Identifier &&name, var &&value) noexcept
| NamedValue (const NamedValue &)
| NamedValue (NamedValue &&) noexcept
NamedValue & | operator= (NamedValue &&) noexcept
bool | operator== (const NamedValue &) const noexcept
bool | operator!= (const NamedValue &) const noexcept

## Public Attributes
Identifier | name
var | value

## Detailed Description

Structure for a named var object.

## Constructor & Destructor Documentation

## ◆ NamedValue() [1/6]

NamedValueSet::NamedValue::NamedValue | ( |  | ) |
| noexcept

## ◆ ~NamedValue()

NamedValueSet::NamedValue::~NamedValue | ( |  | ) |
| noexcept

## ◆ NamedValue() [2/6]

NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | const var & | value
| ) |  |

## ◆ NamedValue() [3/6]

NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | var && | value
| ) |  |
| noexcept

## ◆ NamedValue() [4/6]

NamedValueSet::NamedValue::NamedValue | ( | Identifier && | name,
|  | var && | value
| ) |  |
| noexcept

## ◆ NamedValue() [5/6]

NamedValueSet::NamedValue::NamedValue | ( | const NamedValue & |  | ) |

## ◆ NamedValue() [6/6]

NamedValueSet::NamedValue::NamedValue | ( | NamedValue && |  | ) |
| noexcept

## Member Function Documentation

## ◆ operator=()

NamedValue & NamedValueSet::NamedValue::operator= | ( | NamedValue && |  | ) |
| noexcept

## ◆ operator==()

bool NamedValueSet::NamedValue::operator== | ( | const NamedValue & |  | ) | const
| noexcept

## ◆ operator!=()

bool NamedValueSet::NamedValue::operator!= | ( | const NamedValue & |  | ) | const
| noexcept

## Member Data Documentation

## ◆ name

Identifier NamedValueSet::NamedValue::name

## ◆ value

var NamedValueSet::NamedValue::value

The documentation for this struct was generated from the following file:

- juce_NamedValueSet.h